Bug 1111048 - [GSS] (6.2.x) Empty response returned when SOAP Fault is thrown from an endpoint having WS-Security Policy Signature profile
Summary: [GSS] (6.2.x) Empty response returned when SOAP Fault is thrown from an endpo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: EAP 6.2.4
Assignee: Carlo de Wolf
QA Contact: Rostislav Svoboda
Russell Dickenson
URL:
Whiteboard:
Depends On: 1110631
Blocks: eap62-cp04-blockers 1111518
TreeView+ depends on / blocked
 
Reported: 2014-06-19 06:45 UTC by Tadayoshi Sato
Modified: 2018-12-06 16:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1111046
: 1111518 (view as bug list)
Environment:
Last Closed: 2014-06-19 08:05:32 UTC
Type: Bug


Attachments (Terms of Use)
Reproducer (31.50 KB, application/zip)
2014-06-19 06:45 UTC, Tadayoshi Sato
no flags Details


Links
System ID Priority Status Summary Last Updated
Apache JIRA CXF-5810 None None None Never
JBoss Issue Tracker JBWS-3802 Major Closed Empty response returned when SOAP Fault is thrown from an endpoint having WS-Security Policy Signature profile 2015-04-25 20:26:34 UTC

Description Tadayoshi Sato 2014-06-19 06:45:33 UTC
Created attachment 910270 [details]
Reproducer

+++ This bug was initially created as a clone of Bug #1111046 +++

+++ This bug was initially created as a clone of Bug #1110631 +++

Description of problem:
Platform BZ for https://issues.jboss.org/browse/JBWS-3802

Please port CXF-5810, which is the root cause of the issue, to JBoss WS.

When a web service has a WS-Security Signature policy in its WSDL and throws a SOAP Fault, it returns an empty HTTP response that has zero-length of content to client instead of the SOAP Fault.

This happens only with Signature policy and doesn't happen with any other WS-Security policies like UsernameToken, or without WS-Security.


How reproducible:
100%

Steps to Reproduce:
1. From the base maven project run:
   > mvn clean install jboss-as:deploy
2. Then run:
   > mvn clean test -Pjbossas-remote

Actual results:
- The reproducer client gets empty response from the endpoint.

Expected results:
- The reproducer client should get a SOAP Fault from the endpoint.

Comment 2 JBoss JIRA Server 2014-07-21 15:52:44 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3802 to Resolved

Comment 3 JBoss JIRA Server 2015-04-25 20:26:36 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3802 to Closed


Note You need to log in before you can comment on or make changes to this bug.